=== debian/changelog ===
xplot (1.19-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use modern debhelper (Closes: #1089482)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 14:01:48 +0100

xplot (1.19-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999308).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:18:50 -0300

xplot (1.19-9) unstable; urgency=low

  * Build against libforms2.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Standards-Version: 3.8.4

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 May 2010 21:00:50 -0400

xplot (1.19-8) unstable; urgency=low

  * Bug fix: "FTBFS: xplot.h:33:23: error: X11/forms.h: No such file or
    directory", thanks to Lucas Nussbaum (Closes: #551237).  Adapt to new
    libforms1 library.

 -- Peter S Galbraith <psg@debian.org>  Fri, 16 Oct 2009 15:40:40 -0400

xplot (1.19-7.2) unstable; urgency=low

  * Non-Maintainer Upload to Fix Failure To Build From Source due to a small
    bashism in the cbuild script. (Closes: #379486)

 -- Margarita Manterola <marga@debian.org>  Mon, 31 Jul 2006 00:56:24 -0300

xplot (1.19-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Adjust X11 include path so it no longer references /usr/X11R6; fixes
    FTBFS, patch from Andreas Jochens. (Closes: #376137)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  7 Jul 2006 17:13:11 +0200

xplot (1.19-7) unstable; urgency=low

  * Bug fix: "xplot: FTBFS: build-depends on removed xlibs-dev", thanks to
    Adeodato Simó for reporting it and to Justin Pryzby for the patch
    (Closes: #346834).
  * Standards version 3.6.2 without changes.

 -- Peter S Galbraith <psg@debian.org>  Tue, 17 Jan 2006 20:27:53 -0500

xplot (1.19-6) unstable; urgency=low

  * Move to main from contrib!
  * Changed section to Science.
  * Standards version 3.5.8;  Edited rules file a bit to comply.

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Dec 2002 20:27:22 -0500

xplot (1.19-5) unstable; urgency=low

  * Update to policy 3.5.6 without changes
  * Fix very minor spelling error in control file (closes: #125562)

 -- Peter S Galbraith <psg@debian.org>  Fri, 22 Mar 2002 14:38:58 -0500

xplot (1.19-4) unstable; urgency=low

  * Update to policy 3.2.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Feb 2001 10:45:58 -0500

xplot (1.19-3) unstable; urgency=low

  * Fixed packaging of upstream changelog file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 14 Dec 1999 09:22:55 -0500

xplot (1.19-2.0.2) unstable; urgency=low

  * 1.19-2.0.1 was compiled statically to libforms due to a bug in
    libforms-dev package.

 -- Peter S Galbraith <psg@debian.org>  Sun,  7 Nov 1999 18:12:03 -0500

xplot (1.19-2.0.1) unstable; urgency=low

  * Build against glibc2.1 libforms0.89

 -- Peter S Galbraith <psg@debian.org>  Fri,  1 Oct 1999 14:49:18 -0400

xplot (1.19-2) unstable; urgency=low

  * Update to policy 3.0.1 (/usr/share/)

 -- Peter S Galbraith <psg@debian.org>  Sun, 12 Sep 1999 21:58:37 -0400

xplot (1.19-1) unstable; urgency=low

  * All Debian patches merged into new upstream version, plus other changes
    by Debian maintainer.  See source's changelog file.
  * Closes bug #35683: xplot: include path incomplete
    Patched libfli/lib/cbuild.def to add -I/usr/X11R6/include/X11 as
    requested by Christian T. Steigies <steigies@physik.uni-kiel.de>
    
 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Jun 1999 22:08:13 -0400

xplot (1.18-1) unstable; urgency=low

  * Initial Release.
  * Patch fgetline.c to fix bug I found in upstream version:
     XPlot failed to read in lines that began with a minus sign
     or a decimal point.
  * Patch xplot.c
     I am reversing the direction of the y-sliders to make the
     interface more intuitive.  When a user slide down the first slider
     from its top position, the top of the y-axis scale will change
     instead of the _bottom_ of the y-axis.
	
 -- Peter S Galbraith <psg@debian.org>  Thu, 19 Nov 1998 15:59:17 -0500
