=== debian/control ===
Source: xplot
Section: science
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper-compat (= 13), libforms-dev
Standards-Version: 3.8.4

Package: xplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple on-screen x-y column data plotter
 XPlot is a small program to plot one- or two-dimensional datasets, which are
 present either in a file or are generated `on-the-fly' and piped to XPlot.
 XPlot lets you display one or more datasets and lets you zoom to different
 sections of the sets. Also. `blowups' of the currently shown portion of the
 data can be made.
 .
 XPlot is meant for on-screen data exploration.  It does not have a print
 button, nor is it meant for final output or publication-quality figures.
