=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make -C src xplot PREFIX="/usr"

override_dh_auto_clean:
	make -C src clean
	#-mv src/.makedist.orig src/.makedist-orig
	#dh_clean
	#-mv src/.makedist-orig src/.makedist.orig

override_dh_installchangelogs:
	dh_installchangelogs src/ChangeLog
